Retrieve JWT token

Retrieves a JWT token using login credentials such as Email, Phone, Username, and Password.

POST
/api/jwt/{JwtAppName}/login

Retrieves a JWT token using login credentials such as Email, Phone, Username, and Password.

apikey<token>

Tenant API Key for authentication

In: query

Path Parameters

JwtAppName*string

JWT App Name

Query Parameters

Nonce?string

random nonce claim

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://TenantName.hub.loginradius.com/api/jwt/example_jwt_app/login?Nonce=3f444945100b4730810bf4598841769d" \  -H "Content-Type: application/json" \  -d '{    "email": "user123@example.com",    "password": "Password123"  }'
{
  "signature": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxMTI1NjNmNi0xNDgwLTQwYjgtOGUyOC1lMDcyY2EyMTJjODIiLCJlbWFpbCI6Im1heWFua2xydGVzdDIrQGdtYWlsLmNvbSIsImV4cCI6MTc0NTQ4MzA4MSwiZmlyc3RuYW1lIjoiTWF5YW5rIiwiaWF0IjoxNzQ1NDgxMjgxLCJpc3MiOiJodHRwczovL2ludGVybmFsLW1heWFuay5odWIubG9naW5yYWRpdXMuY29tLyIsImp0aSI6IjlhNGZkOGY1LWU4NDMtNDgzZS1hODNiLTJlNTM4NzY5ZTYxNiIsImxhc3RuYW1lIjoiQWdhcndhbCIsIm5iZiI6MTc0NTQ4MTI4MSwic3ViIjoiMWFjM2Q5ZGMzYzdkNDJlMDhhMzJiZjU0NjIyYmNjYzMifQ.m88HgYiikjAJju5mKeqJLgdEbqoAGGLVGLhxmB81jWc"
}

{
  "Description": "A potentially dangerous request value was detected.",
  "ErrorCode": 1214,
  "Message": "Dangerous request"
}

{
  "Description": "The JWT configuration not found or the resource does not exist.",
  "ErrorCode": 1180,
  "Message": "JWT configuration not found."
}

{
  "Description": "The provided account is not allowed to login, please reach out to LoginRadius support for more information.",
  "ErrorCode": 1220,
  "Message": "Account is not allowed to login"
}